###################################################
### chunk number 1: 
###################################################
library(psych)
data(sat.act) 
describe(sat.act)  #basic descriptive statistics


###################################################
### chunk number 2: 
###################################################
describe.by(sat.act,sat.act$gender,skew=FALSE,ranges=FALSE) #basic descriptive statistics by a grouping variable.


###################################################
### chunk number 3: 
###################################################
pairs.panels(sat.act)


###################################################
### chunk number 4: 
###################################################
data(epi.bfi)
error.bars.by(epi.bfi[,6:10],epi.bfi$epilie<4)


###################################################
### chunk number 5: 
###################################################
error.bars.by(sat.act[5:6],sat.act$gender,bars=TRUE,labels=c("Male","Female"),ylab="SAT score",xlab="")


###################################################
### chunk number 6: 
###################################################
data(bifactor)
cor.plot(Thurstone,color=TRUE,main="9 cognitive variables from Thurstone")


###################################################
### chunk number 7: 
###################################################
circ <- sim.circ(24)
r.circ <- cor(circ)
cor.plot(r.circ,color=TRUE,zlim=c(-1,1),main="24 variables in a circumplex")


###################################################
### chunk number 8: 
###################################################
corr.test(sat.act)


###################################################
### chunk number 9: 
###################################################
r.test(50,.3)


###################################################
### chunk number 10: 
###################################################
r.test(30,.4,.6)


###################################################
### chunk number 11: 
###################################################
r.test(103,.4,.5,.1)


###################################################
### chunk number 12: 
###################################################
r.test(103,.5,.6,.7,.5,.5,.8)  #steiger Case B 


###################################################
### chunk number 13: 
###################################################
cortest(sat.act)


###################################################
### chunk number 14: 
###################################################
data(bfi)
ic <- ICLUST(bfi)


###################################################
### chunk number 15: 
###################################################
summary(ic)  #show the results


###################################################
### chunk number 16: 
###################################################
f3t <- fa(Thurstone,3,n.obs=213,rotate="cluster",fm="minres")
f3t 


###################################################
### chunk number 17: 
###################################################
data(bifactor)
f3 <- fa(Thurstone,3,n.obs = 213,fm="pa")
f3o <- target.rot(f3)
f3o


###################################################
### chunk number 18: 
###################################################
data(bifactor)
f3w <- fa(Thurstone,3,n.obs = 213,fm="wls")
print(f3w,cut=0,digits=3)


###################################################
### chunk number 19: 
###################################################
factor.plot(f3t)


###################################################
### chunk number 20: 
###################################################
fa.diagram(f3t)


###################################################
### chunk number 21: 
###################################################
data(bifactor)
p3p <-principal(Thurstone,3,n.obs = 213,rotate="Promax")
p3p


###################################################
### chunk number 22: 
###################################################
op <- par(mfrow=c(1,2))
om <- omega(Thurstone,n.obs=213)
om.h <- omega(Thurstone,n.obs=213,sl=FALSE)
op <- par(mfrow=c(1,1))


###################################################
### chunk number 23: 
###################################################
f4 <- factor.pa(bfi,4)
factor.congruence(f4,ic)


###################################################
### chunk number 24: 
###################################################
factor.congruence(list(f3t,f3o,om,p3p))


###################################################
### chunk number 25: 
###################################################
vss <- VSS(bfi,title="Very Simple Structure of a Big 5 inventory")


###################################################
### chunk number 26: 
###################################################
vss


###################################################
### chunk number 27: 
###################################################
fa.parallel(bfi,main="Parallel Analysis of a Big 5 inventory")


###################################################
### chunk number 28: 
###################################################
set.seed(42)
r9 <- sim.hierarchical(n=500,raw=TRUE)$observed
round(cor(r9),2)
alpha(r9)


###################################################
### chunk number 29: 
###################################################
keys <- c(1,-1,1,1,1,1,1)
alpha(attitude,keys)


###################################################
### chunk number 30: 
###################################################
keys <- c(1,1,1,1,1,1,1)
alpha(attitude,keys)


###################################################
### chunk number 31: 
###################################################
om.9 <- omega(r9,title="9 simulated variables")


###################################################
### chunk number 32: 
###################################################
om.9


###################################################
### chunk number 33: 
###################################################
guttman(r9)


###################################################
### chunk number 34: 
###################################################
 keys <- make.keys(25,list(Agree=c(-1,2:5),Conscientious=c(6:8,-9,-10),
 Extraversion=c(-11,-12,13:15),Neuroticism=c(16:20),
 Openness = c(21,-22,23,24,-25)),
 item.labels=colnames(bfi))
 keys


###################################################
### chunk number 35: 
###################################################
 keys.f <- make.keys(10,list(Agree=c(-1,2:5),Conscientious=c(6:8,-9,-10)))
keys.l <- make.keys(15,list(Extraversion=c(-1,-2,3:5),Neuroticism=c(6:10),
 Openness = c(11,-12,13,14,-15)))
 keys <- super.matrix(keys.f,keys.l)


###################################################
### chunk number 36: 
###################################################
 scores <- score.items(keys,bfi)
 scores


###################################################
### chunk number 37: 
###################################################
pairs.panels(scores$scores)


###################################################
### chunk number 38: 
###################################################
r.bfi <- cor(bfi,use="pairwise")
scales <- cluster.cor(keys,r.bfi)
summary(scales)


###################################################
### chunk number 39: 
###################################################
data(sat.act)

C <- cov(sat.act,use="pairwise")
model1 <- lm(ACT~ gender + education + age, data=sat.act)
summary(model1)


###################################################
### chunk number 40: 
###################################################
#compare with mat.regress
mat.regress(C,c(1:3),c(4:6), n.obs=700)


###################################################
### chunk number 41: 
###################################################
sessionInfo()


